package net.mawis.imip;

/**
 * This interface has to be implemented if you want to be notified about
 * incoming subscription requests
 *
 * @author Matthias Wimmer &lt;m@tthias.net&gt;
 * @version 0.1.0
 */
public interface SubscriptionListener {
    /**
     * A subscription request has been received
     *
     * @param request IMSubscription request that has been received
     */
    public void newSubscriptionRequested(IMSubscription request);
}
