package net.mawis.imip;

/**
 * This interface has to be implemented if you want to be notified
 * by the ServerConnection about incoming messages
 *
 * @author Matthias Wimmer &lt;m@tthias.net&gt;
 * @version 0.1.0
 */
public interface IMMessageListener {
    /**
     * A new message has been received
     *
     * @param message the new message
     */
    public void newMessageReceived(IMMessage newMessage);
}
