package net.mawis.imip;

/**
 * This interface has to be implemented if you want to be notified
 * about presence changes of the user's contacts.
 *
 * @author Matthias Wimmer &lt;m@tthias.net&gt;
 * @version 0.1.0
 */
public interface PresenceListener {
    /**
     * A new IMPresence has been received
     *
     * @param newPresence the IMPresence packet that has been received
     */
    public void newPresence(IMPresence newPresence);
}
