package net.mawis.imip;

/**
 * This interface has to be implemented if you want to be notified
 * about changes of the roster
 *
 * @author Matthias Wimmer &lt;m@tthias.net&gt;
 * @version 0.1.0
 */
public interface RosterChangeListener {
    /**
     * A roster item has changed its state
     *
     * @param changedItem the RosterItem that has changed its state
     * @param more true if more Items will change its state soon
     */
    public void rosterItemChanged(RosterItem changedItem, boolean more);
}
