package net.mawis.imip;

/**
 * This interface has to be implemented if you want to be notified
 * by the ServerConnection about changes in the connection state
 *
 * @author Matthias Wimmer &lt;m@tthias.net&gt;
 * @version 0.1.0
 */
public interface StateChangeListener {
    /**
     * The connection state has been changed
     *
     * @param newState the new state of the connection
     */
    public void newConnectionState(ConnectionState newState);
}
